summaryrefslogtreecommitdiff
path: root/docs
diff options
context:
space:
mode:
authorChia-I Wu <olvaffe@gmail.com>2010-02-05 11:46:28 +0800
committerChia-I Wu <olvaffe@gmail.com>2010-02-05 12:48:49 +0800
commit5f08eff2a769e27df37fc00e46797e70a54727bb (patch)
treed01bbca3fcbddd2297b3e20fd17d13ffca9adabf /docs
parentcb260e1d18726814a43f51c4e16e4bd8d65736e2 (diff)
egl: Remove egl_xdri.
egl_xdri steals code from src/glx/x11/. This makes it broken from time to time when there is a bigger change to the GLX code. As egl_dri2 has been merged, which also functions as a DRI2 driver loader, remove egl_xdri for good.
Diffstat (limited to 'docs')
-rw-r--r--docs/egl.html19
1 files changed, 7 insertions, 12 deletions
diff --git a/docs/egl.html b/docs/egl.html
index 30cbe0eaedd..cdfae044a8a 100644
--- a/docs/egl.html
+++ b/docs/egl.html
@@ -206,25 +206,20 @@ It is accelerated when the GLX is. As such, it cannot provide functions that
is not available in GLX or GLX extensions.</p>
</li>
-<li><code>egl_xdri</code>
+<li><code>egl_dri2</code>
<p>This driver supports the X Window System as its window system. It functions
-as a DRI driver loader and can load DRI/DRI2/DRISW drivers. Unlike
-<code>egl_glx</code>, it has no dependency on <code>libGL</code>. It talks to
-the X server directly using DRI or DRI2 protocols. It also talks minimal GLX
-protocol for things like available visuals or fbconfigs. With direct access to
-the DRI drivers, it has the potential to support more EGL functions that are
-not possible with <code>egl_glx</code>.</p>
+as a DRI2 driver loader. Unlike <code>egl_glx</code>, it has no dependency on
+<code>libGL</code>. It talks to the X server directly using DRI2 protocol.</p>
</li>
<li><code>egl_dri</code>
<p>This driver lacks maintenance and does <em>not</em> build. It is similiar
-to <code>egl_xdri</code> in that it functions as a DRI driver loader. But
-unlike <code>egl_xdri</code>, it supports Linux framebuffer devices as its
-window system and supports EGL_MESA_screen_surface extension. It loads only
-DRI1 drivers. As DRI1 drivers is phasing out, it might be better to rewrite
-the driver to support KMS and DRI2.</p>
+to <code>egl_dri2</code> in that it functions as a DRI(1) driver loader. But
+unlike <code>egl_dri2</code>, it supports Linux framebuffer devices as its
+window system and supports EGL_MESA_screen_surface extension. As DRI1 drivers
+are phasing out, it might eventually be replaced by <code>egl_dri2</code>.</p>
</li>
</ul>